> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay Dead Letter

> Attempts to redeliver a failed webhook from the dead letter queue.



## OpenAPI

````yaml POST /api/v1/mgt/workspaces/{workspaceId}/webhook-dead-letter/{id}/replay
openapi: 3.1.0
info:
  title: Xenia Team API - Replay Dead Letter
  version: 1.0.0
  description: Replay a single failed webhook from the dead letter queue.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/webhook-dead-letter/{id}/replay:
    post:
      tags:
        - Webhooks
      summary: Replay Dead Letter
      description: Attempts to redeliver a failed webhook from the dead letter queue.
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Workspace ID
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Dead letter ID
      responses:
        '200':
          description: Replay initiated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  code:
                    type: integer
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      status:
                        type: string
                        description: queued or delivered
                      message:
                        type: string
              example:
                status: true
                code: 200
                data:
                  id: dl_abc123
                  status: queued
                  message: Webhook queued for redelivery
        '401':
          description: Unauthorized
        '404':
          description: Dead letter not found
        '409':
          description: Dead letter already replayed or expired
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````